http://appflow.{region}.amazonaws.com/describe-flow-execution-recordsFetches the execution history of the flow.
Pagination limit
Pagination token
The specified name of the flow. Spaces are not allowed. Use underscores (_) or hyphens (-) only.
The pagination token for the next page of data.
Specifies the maximum number of items that should be returned in the result set. The default for <code>maxResults</code> is 20 (for all paginated API operations).
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://appflow.{region}.amazonaws.com/describe-flow-execution-records' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://appflow.{region}.amazonaws.com/describe-flow-execution-recordsFetches the execution history of the flow.
Pagination limit
Pagination token
The specified name of the flow. Spaces are not allowed. Use underscores (_) or hyphens (-) only.
The pagination token for the next page of data.
Specifies the maximum number of items that should be returned in the result set. The default for <code>maxResults</code> is 20 (for all paginated API operations).
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://appflow.{region}.amazonaws.com/describe-flow-execution-records' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}